package com.dhcc.finance.main.domain;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @ClassName: CwBdSubjTransformation
 * @Description: TODO(科目转换实体类)
 * @author lipeng
 * @date 2019年9月16日 下午5:51:51
 * @see
 */

@ApiModel(value = "CwBdSubjTransformation", description = "科目转换实体类")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwBdSubjTransformation {
	
	@ApiModelProperty(value = "账套主键", required = true, example = "")
	private String pkGlorgbook;
	
	@ApiModelProperty(value = "科目版本", required = true, example = "")
	private String PK_SUBJSCHEME;

	@ApiModelProperty(value = "产品名称", required = true, example = "")
	private String cpmc;

	@ApiModelProperty(value = "科目代码", required = true, example = "")
	private String subjcode;
	
	@ApiModelProperty(value = "科目代码(新)", required = true, example = "")
	private String subjcodeN;
	
	
	@ApiModelProperty(value = "科目代码(老)", required = true, example = "")
	private String subjcodeO;

	@ApiModelProperty(value = "科目名称", required = true, example = "")
	private String subjname;

	@ApiModelProperty(value = "借贷方向", required = true, example = "")
	private String balanorient;

	@ApiModelProperty(value = "财务余额", required = true, example = "")
	private String cwye;

	@ApiModelProperty(value = "科目主键", required = true, example = "")
	private String pk_accsubj;
}
