package com.dhcc.finance.main.domain;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
@ApiModel(value = "CwGlVouchermaxno",description = "最大凭证号表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwGlVouchermaxno { 
    @ApiModelProperty(value = "主键", required = true, example = "")
    private String pkVouchermaxno;

    @ApiModelProperty(value = "账套主键", required = false, example = "")
    private String pkGlorgbook;

    @ApiModelProperty(value = "会计期间", required = false, example = "")
    private String period;

    @ApiModelProperty(value = "凭证类型", required = false, example = "")
    private String pkVouchertype;

    @ApiModelProperty(value = "最大凭证号", required = false, example = "")
    private String maxno;

    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;
}