package com.dhcc.finance.main.service;

import java.util.List;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.domain.CwHsGlorgbook;


public interface CwTjkOutcwVoucherService {
	/**
	 * 功能描述   凭证数据导入
	 * @param list
	 * @param beginDate
	 * @param endDate
	 * @return RestfulResponse<Object,CurrencyMeta>
	 * @author huangpeng
	 * @date 2019年7月26日 下午2:22:44
	 * 修改日志
	 */
	RestfulResponse<Object, CurrencyMeta> insertVoucherAndDetailInfo(List<CwHsGlorgbook> list, String beginDate, String endDate,Boolean isCheck);
	/**
	 * 功能描述：同步证券代码信息
	 * @return RestfulResponse<Object,CurrencyMeta>
	 * @author likai
	 * @date 2020年7月22日 下午2:55:25
	 * @修改日志：
	 */
	RestfulResponse<Object, CurrencyMeta> insertCwHsOutcwZqxx();

}
