package com.dhcc.finance.main.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwGlTransferdetail {
	@ApiModelProperty(value = "结转明细主键", required = true, example = "")
	private String pkTransferdetail;

	@ApiModelProperty(value = "结转方案主键", required = false, example = "560117235666968576")
	private String pkTransfer;

	@ApiModelProperty(value = "转账类型", required = false, example = "1")
	private String transfertype;

	@ApiModelProperty(value = "凭证类型", required = false, example = "1")
	private String pkVouchertype;

	@ApiModelProperty(value = "转账频度", required = false, example = "1")
	private String transfrequency;

	@ApiModelProperty(value = "序号", required = false, example = "1")
	private String detailorder;

	@ApiModelProperty(value = "摘要", required = false, example = "1")
	private String note;

	@ApiModelProperty(value = "借贷方向", required = false, example = "1")
	private String orientation;

	@ApiModelProperty(value = "结转属性", required = false, example = "1")
	private String transsystem;

	@ApiModelProperty(value = "来源科目", required = false, example = "1")
	private String pkSrcaccsubj;

	@ApiModelProperty(value = "来源科目辅助项", required = false, example = "1")
	private String srcass;

	@ApiModelProperty(value = "目的科目", required = false, example = "1")
	private String pkDesaccsubj;

	@ApiModelProperty(value = "目的科目辅助项", required = false, example = "1")
	private String desass;

	@ApiModelProperty(value = "币种", required = false, example = "1")
	private String pkCurrtype;

	@ApiModelProperty(value = "启用状态", required = false, example = "2")
	private String enablestate;

	@ApiModelProperty(value = "使用状态", required = false, example = "")
	private String useState;

	@ApiModelProperty(value = "录入人员", required = false, example = "")
	private String createUser;

	@ApiModelProperty(value = "录入时间", required = false, example = "")
	private Date createTime;

	@ApiModelProperty(value = "最后修改人员", required = false, example = "")
	private String updateUser;

	@ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
	private Date updateTime;

	@ApiModelProperty(value = "备注", required = false, example = "")
	private String remark;

}