package com.dhcc.finance.main.domain;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@ApiModel(value = "CwHsOutcwVoucher",description = "财务估值导出凭证主表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwHsOutcwVoucher {
    private String id;

    private Integer lZtbh;

    private String company;

    private String voucherType;

    private String fiscalYear;

    private String accountingPeriod;

    private String voucherId;

    private String attachmentNumber;

    private String prepareddate;

    private String enter;

    private String cashier;

    private String signature;

    private String checker;

    private String postingDate;

    private String postingPerson;

    private String voucherMakingSystem;

    private String memo1;

    private String memo2;

    private String reserve1;

    private String reserve2;

    private Integer lImportFlag;

    private String vcImportDescribe;

    private Integer dr;

    private String ts;

    private String vcHtbh;

    private Integer lImportFlag1;

    private String vcAdmin;

    private String vcJkfs;

    private Integer lZzgsbh;

    private String vcHsdm;

}