package com.dhcc.finance.main.model;

import java.util.Date;
import java.util.List;

import com.dhcc.finance.main.domain.CwBdVouchtempB;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
/**
 * 功能描述：新增凭证模板实体
 * @author dml
 * @date 2019年4月1日 下午3:19:29
 * @修改日志：
 */
@ApiModel(value = "CwBdVouchtempAdd",description = "凭证模板加分录信息")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwBdVouchtempAdd {
    @ApiModelProperty(value = "凭证模板主键", required = true, example = "")
    private String pkVouchtemp;

    @ApiModelProperty(value = "科目方案主键", required = false, example = "")
    private String pkSubjscheme;

    @ApiModelProperty(value = "凭证模板编码", required = false, example = "")
    private String code;

    @ApiModelProperty(value = "凭证模板名称", required = false, example = "")
    private String name;
    
    @ApiModelProperty(value = "摘要", required = false, example = "")
    private String abstracts;

    @ApiModelProperty(value = "凭证类型", required = false, example = "")
    private String pkVouchertype;

    @ApiModelProperty(value = "单据类型", required = false, example = "")
    private String pkBilltype;

    @ApiModelProperty(value = "来源系统", required = false, example = "")
    private String srcsystem;

    @ApiModelProperty(value = "允许修改", required = false, example = "")
    private String ismodify;
   
    @ApiModelProperty(value = "是否手凭模板", required = false, example = "")
    private String ismanual;

    @ApiModelProperty(value = "制单日期", required = false, example = "")
    private String preparedate;

    @ApiModelProperty(value = "制单人", required = false, example = "")
    private String pkPrepared;

    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;
    
    @ApiModelProperty(value = "分录信息", required = false, example = "")
    private List<CwBdVouchtempB> listCwBdVouchtempB;
}
