package com.dhcc.finance.main.service;

import java.util.List;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.domain.CwBdAccperiod;
import com.dhcc.finance.main.domain.CwBdAccperiodmonth;
import com.dhcc.finance.main.domain.CwBdAccperiodquart;
import com.dhcc.finance.main.domain.CwBdAccperiodyear;
import com.github.pagehelper.PageInfo;

public interface AccountingPeriodService {
	RestfulResponse<PageInfo<CwBdAccperiodyear>, CurrencyMeta> searchCwBdAccperiodyear(int pageNum, int pageSize,
			int navigatePages, String pkAccperiod);

	RestfulResponse<PageInfo<CwBdAccperiodquart>, CurrencyMeta> searchCwBdAccperiodquart(int pageNum, int pageSize,
			int navigatePages, String pkAccperiod);

	RestfulResponse<PageInfo<CwBdAccperiodmonth>, CurrencyMeta> searchCwBdAccperiodmonth(int pageNum, int pageSize,
			int navigatePages, String pkAccperiod);

	RestfulResponse<List<CwBdAccperiod>, CurrencyMeta> searchCwBdAccperiod();

	RestfulResponse<Object, CurrencyMeta> addAccountingYear(String year);

}
