package com.dhcc.finance.main.service;

import java.util.List;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.domain.CwBdGlorgbook;
import com.dhcc.finance.main.domain.CwBdRecordGlorgbook;
import com.github.pagehelper.PageInfo;

/**  
 * Title: CwBdRecordGlorgbookService <br/>  
 * Description: TODO 自动建账记录表操作接口<br/> 
 * @author lipeng 
 * @date 2019年7月16日 上午9:38:31
 */
public interface CwBdRecordGlorgbookService {
	/**
	 * Title: searchCwBdParametricAllData <br/>  
	 * Description: TODO 根据信托子项目编号查询帐套信息<br/>
	 * @author lipeng 
	 * @param code
	 * @param pageNum
	 * @param pageSize
	 * @param navigatePages
	 * @return RestfulResponse<PageInfo<CwBdParametric>,CurrencyMeta>
	 * @date 2019年7月16日 上午9:39:54
	 */
	RestfulResponse<PageInfo<CwBdRecordGlorgbook>, CurrencyMeta> selectcwBdRecordGlorgbookinfo(int pageNum, int pageSize,
			int navigatePages,String xtzxmbh);
	/**
	 * Title: searchCwBdParametricAllData <br/>  
	 * Description: TODO 根据信托子项目编号查询帐套信息不分页<br/>
	 * @author lipeng 
	 * @param code
	 * @param pageNum
	 * @param pageSize
	 * @param navigatePages
	 * @return RestfulResponse<PageInfo<CwBdParametric>,CurrencyMeta>
	 * @date 2019年7月16日 上午9:39:54
	 */
	RestfulResponse<List<CwBdGlorgbook>, CurrencyMeta> selectGlorgbookAllInfo();
}
