package com.dhcc.finance.main.service;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.domain.CwBdVouchtempF;
import com.github.pagehelper.PageInfo;

/**
 * 功能描述：凭证模板分录辅助配置接口
 * @author dml
 * @date 2019年3月27日 下午2:58:38
 * @修改日志：
 */
public interface CwBdVouchtempFService {
	/**
	 * 功能描述：查询全部凭证模板分录辅助配置
	 * @param pageNum
	 * @param pageSize
	 * @param navigatePages
	 * @return RestfulResponse<PageInfo<CwBdVouchtempF>,CurrencyMeta>
	 * @author dml
	 * @date 2019年3月27日 下午1:54:05
	 * @修改日志：
	 */
	RestfulResponse<PageInfo<CwBdVouchtempF>, CurrencyMeta> searchCwBdVouchtempFAllData(int pageNum, int pageSize, int navigatePages,String pkVouchtempB);
	/**
	 * 功能描述：新增凭证模板分录辅助配置
	 * @param cwBdVouchtempF噢
	 * @return RestfulResponse<Object,CurrencyMeta>
	 * @author dml
	 * @date 2019年3月27日 下午2:14:15
	 * @修改日志：
	 */
	RestfulResponse<Object, CurrencyMeta> addCwBdVouchtempF(CwBdVouchtempF cwBdVouchtempF);
	/**
	 * 功能描述：通过主键修改凭证模板分录辅助配置
	 * @param cwBdVouchtempF
	 * @return RestfulResponse<Object,CurrencyMeta>
	 * @author dml
	 * @date 2019年3月27日 下午2:15:08
	 * @修改日志：
	 */
	RestfulResponse<Object, CurrencyMeta> updateCwBdVouchtempFByPk(CwBdVouchtempF cwBdVouchtempF);
	/**
	 * 功能描述：逻辑删除凭证模板分录辅助配置
	 * @param pkVouchtempF
	 * @return RestfulResponse<Object,CurrencyMeta>
	 * @author dml
	 * @date 2019年3月27日 下午2:16:06
	 * @修改日志：
	 */
	RestfulResponse<Object, CurrencyMeta> deleteCwBdVouchtempFByPk(String pkVouchtempF);
	


}
